(TeX-add-style-hook "apparatus"
 (lambda ()
    (LaTeX-add-index-entries
     "|("
     "\\textit{MakeIndex}|textbf"
     " "
     "!rumakeindex"
     "!makeindex|see{rumakeindex}"
     "!xindy"
     "|)"
     "MakeIndex@\\textit{MakeIndex}|textbf")
    (LaTeX-add-bibliographies
     "|<< bib->>|")
    (LaTeX-add-bibitems
     "rozenko-2005")
    (LaTeX-add-labels
     "cha:apparatus"
     "fig:apparatus:section"
     "sec:apparatus:section"
     "sec:section"
     "sec:subsection"
     "sec:subsubsection"
     "sec:paragraph"
     "sec:subparagraph"
     "sec:afterwords"
     "appendix"
     "sec:apparatus:labelsandfooters"
     "sec:apparatus:labels"
     "sec:apparatus:footnotes"
     "sec:colontitles"
     "sec:apparatus:bibliography"
     "fig:apparatus:bib"
     "sec:apparatus:bibtex"
     "fig:apparatus:bibtexandlatex"
     "fig:apparatus:bib2"
     "sec:apparatus:makeindex"
     "fig:apparatus:makeindexandlatex"
     "fig:apparatus:idx")
    (TeX-run-style-hooks
     "citehack"
     "hyperref"
     "xr"
     "indentfirst"
     "babel"
     "english"
     "russian"
     "inputenc"
     "koi8-r"
     "fontenc"
     "T2A"
     "|<<ind->>|")))

