#!/usr/bin/perl -w
use File::Basename;

$LaTeXbin="/usr/local/bin/latex";
$dvipsbin="/usr/local/bin/dvips";


if ($#ARGV<0) {
  $name=basename($0);
  print "Description: $name convert tex 2 eps\n";
  print "Usage: $name file.tex\n";
}

$dirname = dirname($ARGV[0]);
open (SYS,"cd $dirname;pwd|");$dirname=<SYS>;close(SYS);chomp $dirname;
$basename = basename($ARGV[0]);
$basename=~s/\.tex//;
$cmd="cd $dirname; ".
  "$LaTeXbin $basename.tex; ".
  "$dvipsbin -E $basename.dvi -o $basename.eps; ";
#print "$cmd\n";
system($cmd) or die "Couldn't make eps-file $!\n";
